## net.i2p.util
Class LogRecordFormatter

    java.lang.Object
      net.i2p.util.LogRecordFormatter

     class LogRecordFormatter

extends java.lang.Object

Render a log record according to the log manager's settings

Constructor Summary
`LogRecordFormatter()`

Method Summary
`static java.lang.String` `formatRecord(LogManager manager, LogRecord rec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogRecordFormatter

    LogRecordFormatter()

Method Detail

### formatRecord

    public static java.lang.String formatRecord(LogManager manager,
                                                LogRecord rec)